Last Comment Bug 783736 - Navigating to MP3/MP4 URIs doesn't load native gecko media controls
: Navigating to MP3/MP4 URIs doesn't load native gecko media controls
Status: RESOLVED FIXED
: crash, reproducible
Product: Core Graveyard
Classification: Graveyard
Component: File Handling (show other bugs)
: unspecified
: ARM Gonk (Firefox OS)
: -- normal (vote)
: mozilla17
Assigned To: Chris Jones [:cjones] inactive; ni?/f?/r? if you need me
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 21:39 PDT by Chris Jones [:cjones] inactive; ni?/f?/r? if you need me
Modified: 2016-06-22 12:16 PDT (History)
12 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---
+


Attachments
Load in-gecko controls for media-plugin types (2.17 KB, patch)
2012-08-17 22:52 PDT, Chris Jones [:cjones] inactive; ni?/f?/r? if you need me
roc: review+
Details | Diff | Splinter Review

Description Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-08-17 21:39:55 PDT
+++ This bug was initially created as a clone of Bug #774599 +++

Putting in File Handling for now because I'm not 100% what's at fault.

STR
 (1) Open b2g browser app
 (2) Load http://people.mozilla.com/~cjones/media.html
 (2) Click MP3

Currently the b2g process crashes, but that will be fixed by bug 774599.  After that, it will be a no-op or error page or trigger a download.

Where we can play back mp3/mp4, we should load the native controls.
Comment 1 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-08-17 22:52:56 PDT
Created attachment 653023 [details] [diff] [review]
Load in-gecko controls for media-plugin types

Audio doesn't actually play back from within the browser, but that's another bug ...
Comment 2 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-08-18 04:22:49 PDT
Comment on attachment 653023 [details] [diff] [review]
Load in-gecko controls for media-plugin types

Review of attachment 653023 [details] [diff] [review]:
-----------------------------------------------------------------

We need to encapsulate the media-related decisions in nsContentUtils::FindInternalContentViewer into nsHTMLMediaElement...
Comment 3 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-08-18 14:49:46 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/367463c4136b
Comment 4 Phil Ringnalda (:philor) 2012-08-19 11:24:59 PDT
https://hg.mozilla.org/mozilla-central/rev/367463c4136b

Note You need to log in before you can comment on or make changes to this bug.